commit:     26865b14e96ce7fddc9915b5495d51529c6a1645
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  2 22:21:46 2023 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Mon Jan  2 22:21:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26865b14

app-containers/containerd: add 1.6.14

Bug: https://bugs.gentoo.org/884803
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-containers/containerd/Manifest                 |  2 +
 app-containers/containerd/containerd-1.6.14.ebuild | 84 ++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/app-containers/containerd/Manifest 
b/app-containers/containerd/Manifest
index 43c665dcbcc9..ffdeca01d6ba 100644
--- a/app-containers/containerd/Manifest
+++ b/app-containers/containerd/Manifest
@@ -1,2 +1,4 @@
+DIST containerd-1.6.14-deps.tar.xz 95727780 BLAKE2B 
15782df59512ee66eacbbb65b21520edfe1ae13bf4324a7262b0731c9bf650b328c328a72cb3113d31f23ef87a74e45292a6282f8f07e79db750c1238943e203
 SHA512 
8db408f87924741b80b55f8e9099ab64da41021f1708ed3c156716de17dd92b2ca6cfa469b3c8d5545fbebd51f9eefcf62c57139de545762815a73eb772fbbec
+DIST containerd-1.6.14.tar.gz 8698335 BLAKE2B 
5f088faa35ffbcfd2e62334c12f9c741e23199d6d9999e28c69ad21b760fb85f514ef70cfdeebbdfaab914a8905ea7dae989d9fc8da36f3e077196e14dd6a220
 SHA512 
d29e2fb4a43f12d7e196f95b59b2c55793a1848177fb64b8bd9a4fd299fe54680a26f8a809b1d63f653ed9f0b30c209fc39d46b78ac0914d3253a10e5d3b015b
 DIST containerd-1.6.8-deps.tar.xz 96625924 BLAKE2B 
773b7c660826648b4077d320cbb3b265129fdd81233ac4aeb833586c9f25707c62e338492fb9905010b160e3fa635069ca4220136bca344ce54d154ee074bdeb
 SHA512 
d805fefc0500fe2156bd8c6a752f9d13cafe85b528454ddc6efc95b09e05548df666cf9136aa3169794a0f7cc8135b943da1b106eec7e3dbbc83938892d80ead
 DIST containerd-1.6.8.tar.gz 8663866 BLAKE2B 
4b1473febb738ce46d435a687971058f4bf586a2877b2899446a323e2e7ccf8a0ec9015277693f9b1bac6f663721117704e97031ce923ae62d27a8d7b882bdfd
 SHA512 
c204c028cdfd76537d1da01c66526fc85b29b02d2412569bb9b265375603614b037356c61846025a72281398f0f46df326a5ea3df97f57901cce85f2f728f0ba

diff --git a/app-containers/containerd/containerd-1.6.14.ebuild 
b/app-containers/containerd/containerd-1.6.14.ebuild
new file mode 100644
index 000000000000..e6a34e17a7f7
--- /dev/null
+++ b/app-containers/containerd/containerd-1.6.14.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+GIT_REVISION=9ba4b250366a5ddde94bb7c9d1def331423aa323
+inherit go-module systemd
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.io/";
+SRC_URI="https://github.com/containerd/containerd/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="apparmor btrfs device-mapper +cri hardened +seccomp selinux test"
+
+DEPEND="
+       btrfs? ( sys-fs/btrfs-progs )
+       seccomp? ( sys-libs/libseccomp )
+"
+
+# recommended version of runc is found in script/setup/runc-version
+RDEPEND="
+       ${DEPEND}
+       ~app-containers/runc-1.1.4
+"
+
+BDEPEND="
+       dev-go/go-md2man
+       virtual/pkgconfig
+"
+
+# tests require root or docker
+RESTRICT+="test"
+
+src_prepare() {
+       default
+       sed -i \
+               -e "s/-s -w//" \
+               Makefile || die
+       sed -i \
+               -e "s:/usr/local:/usr:" \
+               containerd.service || die
+}
+
+src_compile() {
+       local options=(
+               $(usev apparmor)
+               $(usex btrfs "" "no_btrfs")
+               $(usex cri "" "no_cri")
+               $(usex device-mapper "" "no_devmapper")
+               $(usev seccomp)
+               $(usev selinux)
+       )
+
+       myemakeargs=(
+               BUILDTAGS="${options[*]}"
+               LDFLAGS="$(usex hardened '-extldflags -fno-PIC' '')"
+               REVISION="${GIT_REVISION}"
+               VERSION=v${PV}
+       )
+
+       # race condition in man target https://bugs.gentoo.org/765100
+       # we need to explicitly specify GOFLAGS for "go run" to use vendor 
source
+       emake "${myemakeargs[@]}" man -j1 #nowarn
+       emake "${myemakeargs[@]}" all
+
+}
+
+src_install() {
+       dobin bin/*
+       doman man/*
+       newinitd "${FILESDIR}"/${PN}.initd "${PN}"
+       systemd_dounit containerd.service
+       keepdir /var/lib/containerd
+
+       # we already installed manpages, remove markdown source
+       # before installing docs directory
+       rm -r docs/man || die
+
+       local DOCS=( ADOPTERS.md README.md RELEASES.md ROADMAP.md SCOPE.md 
docs/. )
+       einstalldocs
+}

Reply via email to